=== debian/control ===
Source: unbound
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: unbound packagers <unbound@packages.debian.org>
Uploaders:
 Robert Edmonds <edmonds@debian.org>,
Build-Depends:
 autoconf,
 bison,
 debhelper (>= 10~),
 dh-apparmor <!pkg.unbound.libonly>,
 dh-python <!pkg.unbound.libonly>,
 dpkg-dev (>= 1.16.1~),
 flex,
 libbsd-dev (>= 0.8.1~) [!linux-any],
 libevent-dev,
 libexpat1-dev,
 libnghttp2-dev,
 libprotobuf-c-dev <!pkg.unbound.libonly>,
 libssl-dev <!pkg.unbound.libonly>,
 libsystemd-dev <!pkg.unbound.libonly>,
 libtool,
 nettle-dev,
 pkg-config,
 protobuf-c-compiler <!pkg.unbound.libonly>,
 python3-dev:any <!pkg.unbound.libonly>,
 libpython3-dev <!pkg.unbound.libonly>,
 swig <!pkg.unbound.libonly>,
Standards-Version: 4.5.0
Homepage: https://www.unbound.net/
Vcs-Browser: https://salsa.debian.org/dns-team/unbound
Vcs-Git: https://salsa.debian.org/dns-team/unbound.git

Package: libunbound-dev
Section: libdevel
Architecture: any
Depends:
 libunbound8 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: static library, header files, and docs for libunbound
 Static library, header files, and documentation for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: libunbound8
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: library implementing DNS resolution and validation
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: python3-unbound
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Build-Profiles: <!pkg.unbound.libonly>
Description: library implementing DNS resolution and validation (Python3 bindings)
 Python3 extension module for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: unbound
Architecture: any
Depends:
 adduser,
 dns-root-data,
 lsb-base (>= 3.0-6),
 openssl,
 unbound-anchor,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 munin-node,
Suggests: apparmor
Build-Profiles: <!pkg.unbound.libonly>
Description: validating, recursive, caching DNS resolver
 Unbound is a recursive-only caching DNS server which can perform DNSSEC
 validation of results. It implements only a minimal amount of authoritative
 service to prevent leakage to the root nameservers: forward lookups for
 localhost, reverse for 127.0.0.1 and ::1, and NXDOMAIN for zones served by
 AS112. Stub and forward zones are supported.
 .
 This package contains the unbound daemon.

Package: unbound-anchor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 unbound (<< 1.4.13-1),
Breaks:
 unbound (<< 1.4.13-1),
Build-Profiles: <!pkg.unbound.libonly>
Description: utility to securely fetch the root DNS trust anchor
 unbound-anchor is a utility which securely fetches or updates the root DNS
 zone trust anchor. A copy of the current root anchor and root update
 certificate is embedded in unbound-anchor. RFC 5011 trust anchor tracking is
 performed, with fallback to an SSL fetch if this fails.

Package: unbound-host
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Build-Profiles: <!pkg.unbound.libonly>
Description: reimplementation of the 'host' command
 This package provides the 'unbound-host' program that is bundled with the
 Unbound domain name server. This version differs from the one provided in the
 package called host, which is from NIKHEF, and bind9-host, which is from ISC,
 and has a similar but different set of features and options.
