## unbound 1.15.0

=== debian/changelog ===
unbound (1.15.0-11deepin1) unstable; urgency=medium

  [ unbound packagers ]
  * update

  [ Tianyu Chen ]
  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:58:22 +0200

unbound (1.15.0-11) unstable; urgency=medium

  [ Simon Deziel ]
  * d/unbound.postinst: fix configure action to have unbound user/group created
  * d/apparmor-profile: use profile name specifier

  [ Michael Tokarev ]
  * tests/runzones: add 1s delay after starting daemon:
    apparently the pid file is created/written too late

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 15 May 2022 22:22:19 +0300

unbound (1.15.0-10) unstable; urgency=medium

  * d/tests/: fix the test to not rely on presence of unbound.pid after
    daemon start. Apparently unbound creates the pid file at a wrong time

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 May 2022 10:17:45 +0300

unbound (1.15.0-9) unstable; urgency=medium

  * d/apparmor-profile: remove old /var/run/ alternatives for /run
  * d/apparmor-profile: allow /etc/unbound/var/lib/unbound/ access too,
    for chrooting to upstream-preferred /etc/unbound (Closes: #1010517)
  * d/rules: stop explicitly exporting CFLAGS/LDFLAGS, dh_auto_* does this
    automatically since dh-compat 9
  * d/rules: do not enable --with-lto-server on kfreebsd (this fixes FTBFS)
    It is a good candicate for an autoconf test.
  * d/rules: add comments for --disable-lto, --with-libbsd
  * d/tests/: add simple autopkgtest (verify www.debian.org record with DNSSEC)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 May 2022 10:34:09 +0300

unbound (1.15.0-8) unstable; urgency=medium

  * fix the brown-paper bag bug in the previous upload. I did it again:
    it is var += newvalue, not var := newvalue.  This made the previous
    upload to built without many build options

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 29 Apr 2022 18:33:16 +0300

unbound (1.15.0-7) unstable; urgency=medium

  * unbound-resolvconf.service:
   - do not (re)start it explicitly from the postinst script, it should
     only be started as a part of unbound.service. Closes: #1009928
   - add comments to this service file to clarify its purpose
   - add lintian overrides for this service file
  * /etc/resolvconf/update.d/unbound resolvconf hook script:
   - ship it enabled for new installs. Closes: #1003135
   - but do not re-enable it for previous installs
   - add more comments to this file clarifying its purpose and possible issues
   - add comments about various ways to enable/disable this hook,
   - implement ability to disable it by setting USE_RESOLVCONF_FORWARDS=false
     in /etc/default/unbound
   - multiple other small changes and cleanups
   - rename it in debian packaging from d/resolvconf to d/resolvconf-forwards
     to make it's purpose more explicit
  * use dns root.key stored in /usr/share/dns/ (as provided by dns-root-data
    package) instead of the unbound-owned /var/lib/unbound/root.key (which is
    managed by an untrusted user). This changes defaults for unbound-host and
    unbound-anchor.  Add Recommends: dns-root-data for unbound-host so it can
    find this root.key in the default install. Closes: #641704

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 29 Apr 2022 16:53:50 +0300

unbound (1.15.0-6) unstable; urgency=medium

  * actually install the forgotten remote-control.conf.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 28 Apr 2022 20:15:21 +0300

unbound (1.15.0-5) unstable; urgency=medium

  * use unix-domain socket /run/unbound.ctl for the control interface
    instead of tcp localhost socket. This makes the keys/certs files
    for the remote contol to be unnecessary, so stop running
    unbound-control-setup in postinst too.
    (Closes: #1010271)
  * move remote-control section out of main unbound.conf file into
    unbound.conf.d/remote-control.conf. Main file now becomes the
    same as before version 1.15. There was no need to mess with the
    main config file since the NEWS file already gives the user
    enough information.
  * do-not-chown-control-socket.patch: stop chowning control socket
    to the unprivileged user, only group ownership is needed.
  * do-not-look-at-pidfile.patch: stop messing up with the pidfile.
    Unbound does not need to look at its pid file for the previous
    instance, since it will not be able to open listening sockets
    if the daemon is already running.  Remove whole reading of the
    pid file, and especially remove setting ownership of the pid file
    to the unprivileged user (done in order to be able to clean it up),
    since this is a potential security issue.
  * unbound.postrm: stop removing the unbound system user
  * fix wording and reformat the previous unbound.NEWS entry, and merge
    old NEWS file into unbound.NEWS, since all news in there are actually
    about the unbound package, not about all other binary packages we build.
  * a few more tweaks for d/unbound-helper, in do_resolvconf_{start|stop}.
    Thank you Simon Deziel for the ideas.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 28 Apr 2022 19:15:23 +0300

unbound (1.15.0-4) unstable; urgency=medium

  * d/unbound.conf: move and fix the remote-control section
    Move the remote-control section above the include directive so it is
    possible to override it there, and fix comment.  Do this remote-control
    section in unbound.conf directly (instead of in new unbound.conf.d/
    fragment), so it is more obvious that the default were flipped and
    the default value is changed.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Apr 2022 10:52:26 +0300

unbound (1.15.0-3) unstable; urgency=medium

  * modify the default unbound.conf to include control-enale: yes so
    the remote control is enabled by default even if the default value
    is not flipped by a patch (upstream sets it to "no")
  * d/control: use the right spelling for Recommends:

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Apr 2022 00:37:17 +0300


