## unbound 1.16.2

=== debian/changelog ===
unbound (1.16.2-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Non-Responsive Delegation Attack
    - debian/patches/CVE-2022-3204.patch: limit number of lookups in
      iterator/iter_delegpt.*, iterator/iter_utils.*, iterator/iterator.c,
      services/cache/dns.c, services/mesh.*.
    - CVE-2022-3204

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Nov 2022 14:59:47 -0500

unbound (1.16.2-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:59:02 +0200

unbound (1.16.2-1) unstable; urgency=medium

  * new upstream minor release with many bugfixes and 2 features.
    Closes: #1016493, CVE-2022-30698, CVE-2022-30699
  * d/unbound.docs: install doc/Changelog file
  * d/copyright: mark debian/patches/* as GPL-2 (#1013957)
    (not closing the bug since it is more than d/patches/)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 12 Aug 2022 12:57:33 +0300

unbound (1.16.0-2) unstable; urgency=medium

  * revert the python path change in previous upload, and set python
    module directory explicitly to /usr/lib/python3/dist-packages/.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 Jun 2022 19:35:26 +0300

unbound (1.16.0-1) unstable; urgency=medium

  * update to the new upstream release.
    Highlight this time is basic support for EDE (RFC8914)
  * removed patches applied upstream
  * updated paths for python modules (usr/lib/python3.M/site-packages/)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 Jun 2022 18:28:14 +0300
