=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 XSBC-Original-Maintainer: unbound packagers <unbound@packages.debian.org>
 Uploaders:
  Robert Edmonds <edmonds@debian.org>,
+ Michael Tokarev <mjt@tls.msk.ru>,
 Build-Depends:
+ debhelper-compat (= 13),
  autoconf,
  bison,
- debhelper (>= 10~),
  dh-apparmor <!pkg.unbound.libonly>,
- dh-python <!pkg.unbound.libonly>,
+ dh-sequence-python3 <!pkg.unbound.libonly>,
  dpkg-dev (>= 1.16.1~),
  flex,
  libbsd-dev (>= 0.8.1~) [!linux-any],
  libevent-dev,
  libexpat1-dev,
- libnghttp2-dev,
+ libnghttp2-dev <!pkg.unbound.libonly>,
  libprotobuf-c-dev <!pkg.unbound.libonly>,
  libssl-dev <!pkg.unbound.libonly>,
  libsystemd-dev <!pkg.unbound.libonly>,
@@ -24,13 +25,15 @@
  nettle-dev,
  pkg-config,
  protobuf-c-compiler <!pkg.unbound.libonly>,
+# autodep8 bug #904999:
  python3-dev:any <!pkg.unbound.libonly>,
  libpython3-dev <!pkg.unbound.libonly>,
  swig <!pkg.unbound.libonly>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.unbound.net/
 Vcs-Browser: https://salsa.debian.org/dns-team/unbound
 Vcs-Git: https://salsa.debian.org/dns-team/unbound.git
+Rules-Requires-Root: no
 
 Package: libunbound-dev
 Section: libdevel
@@ -77,17 +80,17 @@
 
 Package: unbound
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
- dns-root-data,
  lsb-base (>= 3.0-6),
- openssl,
- unbound-anchor,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ dns-root-data,
 Enhances:
  munin-node,
-Suggests: apparmor
+Suggests: apparmor, openssl
 Build-Profiles: <!pkg.unbound.libonly>
 Description: validating, recursive, caching DNS resolver
  Unbound is a recursive-only caching DNS server which can perform DNSSEC
@@ -119,6 +122,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends: dns-root-data
 Build-Profiles: <!pkg.unbound.libonly>
 Description: reimplementation of the 'host' command
  This package provides the 'unbound-host' program that is bundled with the
