## unbound 1.18.0

=== debian/changelog ===
unbound (1.18.0-2ubuntu1) noble; urgency=medium

  * Don't build with hiredis on i386.  hiredis and redis are not built on
    i386 and require bootstrapping due to circular build-dependencies;
    simpler to just disable this in the i386 unbound server binary (that no
    one will ever use).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Nov 2023 10:36:50 -0800

unbound (1.18.0-2) unstable; urgency=medium

   * d/resolvconf-forwards: remove -e (Closes: #1035800), shorten sed expr
   * d/changelog: mention #1013957 in previous changelog entry
   * d/control, d/rules: switch from libnettle back to libssl once it is
     GPL-compatible (#828699 is of no concern anymore).  This fixes libunbound
     init failure.  Also Closes: #1007260
   * d/control, d/rules: build daemon with --enable-cachedb --with-libhiredis,
     build-depend on libhiredis-dev (Closes: #1014456)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 06 Sep 2023 16:34:32 +0300

unbound (1.18.0-1) unstable; urgency=medium

  * new upstream release
    Closes: #1038243
  * d/copyright: relicense debian/patches/* under ISC license
    (Closes: #1013957)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 04 Sep 2023 09:41:58 +0300
