=== debian/control ===
--- 
+++ 
@@ -17,12 +17,12 @@
  libbsd-dev (>= 0.8.1~) [!linux-any],
  libevent-dev,
  libexpat1-dev,
+ libhiredis-dev [!i386] <!pkg.unbound.libonly>,
  libnghttp2-dev <!pkg.unbound.libonly>,
  libprotobuf-c-dev <!pkg.unbound.libonly>,
- libssl-dev <!pkg.unbound.libonly>,
+ libssl-dev,
  libsystemd-dev <!pkg.unbound.libonly>,
  libtool,
- nettle-dev,
  pkg-config,
  protobuf-c-compiler <!pkg.unbound.libonly>,
 # autodep8 bug #904999:
@@ -83,7 +83,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
