## unbound 1.19.2

=== debian/changelog ===
unbound (1.19.2-1ubuntu3.6) noble-security; urgency=medium

  * SECURITY UPDATE: promiscuous NS RRSets domain hijack issue
    - debian/patches/CVE-2025-11411.patch: fix possible domain hijacking
      attack and add new iter-scrub-promiscuous configuration option.
    - CVE-2025-11411

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Oct 2025 09:21:18 -0400

unbound (1.19.2-1ubuntu3.5) noble-security; urgency=medium

  * SECURITY UPDATE: Rebirthday Attack cache poisoning issue
    - debian/patches/CVE-2025-5994.patch: Fix issue in
      edns-subnet/subnetmod.c, edns-subnet/subnetmod.h.
    - CVE-2025-5994

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Jul 2025 13:32:04 -0400

unbound (1.19.2-1ubuntu3.4) noble; urgency=medium

  * debian/patches/lp-2087526-1-fix-memory-exhaust-in-local-zones.patch:
    fix error: "memory exhausted" when defining more than 9994
    local_zones. (LP: #2087526).

 -- John Chittum <john.chittum@canonical.com>  Thu, 06 Feb 2025 14:41:07 -0500

unbound (1.19.2-1ubuntu3.3) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service via large RRsets compression
    - debian/patches/CVE-2024-8508.patch: limit name compression
      calculations per packet to avoid CPU lockup in util/data/msgencode.c
    - CVE-2024-8508

 -- Vyom Yadav <vyom.yadav@canonical.com>  Thu, 17 Oct 2024 11:23:42 +0530

unbound (1.19.2-1ubuntu3.2) noble-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2024-43167-1.patch: fix null pointer
      dereference issue in function ub_ctx_set_fwd of file
      libunbound/libunbound.c
    - debian/patches/CVE-2024-43167-2.patch: fix to print a parse
      error when config is read with no name for a forward-zone, stub-
      zone or view.
    - CVE-2024-43167
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2024-43168-1.patch: fix heap-buffer-overflow
      issue in function cfg_mark_ports of file util/config_file.c
    - debian/patches/CVE-2024-43168-2.patch: adjust error text and 
      disallow negative ports in other parts of cfg_mark_ports.
    - CVE-2024-43168

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 05 Sep 2024 17:51:24 +1000

unbound (1.19.2-1ubuntu3.1) noble-security; urgency=medium

  * SECURITY UPDATE: Unbound could be used to take part in a DoS attack
    - debian/patches/CVE-2024-33655.patch: fix for the DNSBomb
      vulnerability in doc/example.conf.in, doc/unbound.conf.5.in,
      services/cache/infra.c, services/cache/infra.h, services/mesh.c,
      testdata/*, util/config_file.c, util/config_file.h,
      util/configlexer.lex, util/configparser.y.
    - CVE-2024-33655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 May 2024 12:01:37 +0200

unbound (1.19.2-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:30:00 +0000

unbound (1.19.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:26:09 +0100

unbound (1.19.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056552). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 08 Mar 2024 10:23:53 -0300

unbound (1.19.2-1) unstable; urgency=medium

  * new upstream bugfix release. Closes: CVE-2024-1931,
    denial of service when trimming EDE text on positive replies
  * d/changelog: add the forgotten Closes for
    #1063845, #1051817, #1051818, #1056631 to the previous
    changelog entry

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 07 Mar 2024 23:35:52 +0300

unbound (1.19.1-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:09:01 +0000

unbound (1.19.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:15:53 +0100

unbound (1.19.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055042). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 26 Feb 2024 10:03:33 -0300

unbound (1.19.1-1) unstable; urgency=medium

  * new upstream bugfix release (1.19.1) (Closes: #1063845):
   o Fix CVE-2023-50387, DNSSEC verification complexity can be exploited
     to exhaust CPU resources and stall DNS resolvers
   o Fix CVE-2023-50868, NSEC3 closest encloser proof can exhaust CPU
  * new upstream release (1.19.0) (Closes: #1051817, #1051818, #1056631)
  * d/control: Build-Depends: pkg-config => pkgconf
  * d/unbound.lintian-overrides: remove
    package-supports-alternative-init-but-no-init.d-script
  * d/unbound.lintian-overrides: adjust for /lib=>/usr/lib move

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 13 Feb 2024 22:40:40 +0300

unbound (1.18.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 21:03:32 +0000
