=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 SHELL = /bin/sh -e
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# we build in a sub-subdir so strip that from file paths too
+export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
+
+export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Fast version of dpkg/architecture.mk defining all vars in one go
 ifeq (${DEB_HOST_MULTIARCH},)
@@ -18,16 +22,20 @@
 	--with-libevent \
 	--enable-tfo-client \
 
+ifneq ($(DEB_HOST_ARCH), i386)
+	redis=--with-libhiredis
+endif
+
 # this is used by unbound-host and unbound-anchor
 CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key
 
-ifneq ($(DEB_HOST_ARCH), amd64)
+ifneq (${DEB_HOST_ARCH}, amd64)
 # Link-Time Optimization https://wiki.debian.org/ToolChain/LTO
 # can be disabled here but enabled globally in DEB_BUILD_MAINT_OPTIONS
 CONFIGURE_ARGS += --disable-flto
 endif
 
-ifneq ($(DEB_HOST_ARCH_OS), linux)
+ifneq (${DEB_HOST_ARCH_OS}, linux)
 # both kfreebsd and hurd have -lbsd (#853751)
 CONFIGURE_ARGS += --with-libbsd
 endif
@@ -35,6 +43,11 @@
 ifneq (${DEB_HOST_ARCH_OS}, kfreebsd)
 # tfo-server does not work on kfreebsd due to no TCP_FASTOPEN
 CONFIGURE_ARGS += --enable-tfo-server
+endif
+
+ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
+# #1024422
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__${DEB_HOST_MULTIARCH}
 endif
 
 build-arch build-indep build \
@@ -55,6 +68,8 @@
 		--enable-subnet \
 		--enable-dnstap \
 		--enable-systemd \
+		--enable-cachedb \
+		$(redis) \
 		--with-libnghttp2 \
 		--with-chroot-dir="" \
 		--with-dnstap-socket-path=/run/dnstap.sock \
@@ -64,12 +79,11 @@
 	${MAKE} -Cb/unbound
 	touch $@
 
-# second build: libunbound only, with nettle
+# second build: libunbound only
 libunbound-config: b/libunbound/config.h
 b/libunbound/config.h:
 	    dh_auto_configure -Bb/libunbound -- \
 		--with-libunbound-only \
-		--with-nettle \
 		--without-pythonmodule \
 		--without-pyunbound \
 		--enable-event-api \
