=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
 https://nlnetlabs.nl/downloads/unbound/unbound-(\d[\d.\w]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
