## unbound 1.20.0

=== debian/changelog ===
unbound (1.20.0-1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2024-43167-1.patch: fix null pointer
      dereference issue in function ub_ctx_set_fwd of file
      libunbound/libunbound.c
    - debian/patches/CVE-2024-43167-2.patch: fix to print a parse
      error when config is read with no name for a forward-zone, stub-
      zone or view.
    - CVE-2024-43167

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 09 Sep 2024 10:48:56 +1000

unbound (1.20.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064475). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 12 Aug 2024 15:41:36 -0300

unbound (1.20.0-1) unstable; urgency=medium

  * new upstream release with some new features and many bugfixes
    Closes: CVE-2024-33655 (DNSBomb issue)
  * remove do-not-look-at-pidfile.patch now once upstream
    stopped chowning the pidfile
  * +spelling-overriden.patch
  * d/rules: enable -j in MAKEFLAGS when parallel is in DEB_BUILD_OPTIONS
  * d/control: Standards-Version: 4.6.0=>4.6.2

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 09 May 2024 14:47:04 +0300
